--AH:ScriptId=372183c0-bcf7-4006-85f5-f60544f2d048;3012
ALTER TABLE [VariableDeclarations]
	ADD [Scoped_PipelineStage_Name] VARCHAR(50) NULL

ALTER TABLE [VariableDeclarations]
	DROP CONSTRAINT [CK__VariableDeclarations__Scoped_Environment_Id__Scope_Code]

GO

UPDATE VD
   SET VD.[Scoped_PipelineStage_Name] = E.[Environment_Name],
       VD.[Scoped_Environment_Id] = CASE WHEN VD.[Scope_Code] = 'P' THEN NULL ELSE VD.[Scoped_Environment_Id] END
  FROM [VariableDeclarations] VD
       INNER JOIN [Environments] E
	           ON E.[Environment_Id] = VD.[Scoped_Environment_Id]

GO

ALTER TABLE [VariableDeclarations]
	ADD CONSTRAINT [CK__VariableDeclarations__Scoped_Environment_Id__Scope_Code]
		CHECK (([Scope_Code]='X' AND [Scoped_Environment_Id] IS NOT NULL OR ([Scope_Code]='P' OR [Scope_Code]='B' OR [Scope_Code]='R' OR [Scope_Code]='D' OR [Scope_Code]='A' OR [Scope_Code]='G' OR [Scope_Code]='V' OR [Scope_Code]='E' OR [Scope_Code]='S') AND [Scoped_Environment_Id] IS NULL))
