--AH:ScriptId=8d74d57f-ff7d-4372-a02f-283de656c1e6;3051
CREATE TABLE [ServerRoles] (
  
  [ServerRole_Id] INT IDENTITY(1,1) NOT NULL
    CONSTRAINT [PK__ServerRoles]
	PRIMARY KEY ([ServerRole_Id]),

  [ServerRole_Name] NVARCHAR(50) NOT NULL
    CONSTRAINT [UQ__ServerRoles__ServerRole_Name]
	UNIQUE ([ServerRole_Name])
)

CREATE TABLE [ServerRoleServers] (
  
  [ServerRole_Id] INT NOT NULL
    CONSTRAINT [FK__ServerRoleServers__ServerRoles]
	FOREIGN KEY ([ServerRole_Id])
	REFERENCES [ServerRoles] ([ServerRole_Id]) ON DELETE CASCADE,

  [Server_Id] INT NOT NULL
    CONSTRAINT [FK__Servers__ServerRoleServers]
	FOREIGN KEY ([Server_Id])
	REFERENCES [Servers] ([Server_Id]) ON DELETE CASCADE,

  CONSTRAINT [PK__ServerRoleServers]
  PRIMARY KEY ([ServerRole_Id],[Server_Id])
)