--AH:ScriptId=4dee5057-460a-4cbe-85c9-1758c1a84bc2;207
CREATE TABLE [Notifiers] (

	[Notifier_Id] INT IDENTITY(1,1) NOT NULL
		CONSTRAINT [PK__Notifiers]
		PRIMARY KEY ([Notifier_Id]),

	[Notifier_Name] VARCHAR(50) NOT NULL,
	[Notifier_Description] VARCHAR(MAX),
	[Notifier_Configuration] VARCHAR(MAX),

	[Owner_User_Name] USERNAME,

	[Active_Indicator] YNINDICATOR NOT NULL,
)

CREATE TABLE [NotifierEventCodes] (
	[Notifier_Id] INT NOT NULL
		CONSTRAINT [FK__NotifierEventCodes__Notifiers]
		FOREIGN KEY ([Notifier_Id])
		REFERENCES [Notifiers]([Notifier_Id]),
	[Event_Code] CHAR(6) NOT NULL
		CONSTRAINT [FK__NotifierEventCodes__EventTypes]
		FOREIGN KEY ([Event_Code])
		REFERENCES [EventTypes]([Event_Code]),
	CONSTRAINT [PK__NotifierEventCodes]
	PRIMARY KEY ([Notifier_Id],[Event_Code])
)