EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_GetRetentionPolicyExecution',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'RetentionPolicyExecutions',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a retention policy execution.'
GO

IF OBJECT_ID('[Executions_GetRetentionPolicyExecution]') IS NOT NULL DROP PROCEDURE [Executions_GetRetentionPolicyExecution]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_GetRetentionPolicyExecution]
(
	@Execution_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [RetentionPolicyExecutions]
	 WHERE [Execution_Id] = @Execution_Id

END
GO

GRANT EXECUTE ON [Executions_GetRetentionPolicyExecution] TO [BuildMasterUser_Role]
