EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'SetupTemplates_GetSetupTemplateByName',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'SetupTemplates',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the setup template which has the specified name.'
GO

IF OBJECT_ID('[SetupTemplates_GetSetupTemplateByName]') IS NOT NULL DROP PROCEDURE [SetupTemplates_GetSetupTemplateByName]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [SetupTemplates_GetSetupTemplateByName]
(
	@SetupTemplate_Name VARCHAR(50)
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT *
	  FROM [SetupTemplates]
     WHERE [SetupTemplate_Name] = @SetupTemplate_Name

END
GO

GRANT EXECUTE ON [SetupTemplates_GetSetupTemplateByName] TO [BuildMasterUser_Role]